--- old/usr/src/tools/cpcgen/cpcgen.c	Wed Jan 30 16:03:16 2019
+++ new/usr/src/tools/cpcgen/cpcgen.c	Wed Jan 30 16:03:16 2019
@@ -10,7 +10,7 @@
  */
 
 /*
- * Copyright (c) 2018, Joyent, Inc.
+ * Copyright (c) 2019, Joyent, Inc.
  */
 
 /*
@@ -317,13 +317,13 @@
 
 	errno = 0;
 	l = strtol(fam, &last, 16);
-	if (errno != 0 || l < 0 || l > UINT_MAX || *last != '\0') {
+	if (errno != 0 || l < 0 || l >= INT_MAX || *last != '\0') {
 		errx(EXIT_FAILURE, "failed to parse family \"%s\"", fam);
 	}
 	*family = (uint_t)l;
 
 	l = strtol(mod, &last, 16);
-	if (errno != 0 || l < 0 || l > UINT_MAX || *last != '\0') {
+	if (errno != 0 || l < 0 || l >= INT_MAX || *last != '\0') {
 		errx(EXIT_FAILURE, "failed to parse model \"%s\"", mod);
 	}
 	*model = (uint_t)l;
